| Home | Libraries | People | FAQ | More

## Function template none_of_equal

boost::algorithm::none_of_equal

## Synopsis

    // In header: <boost/algorithm/cxx11/none_of.hpp>

    template<typename InputIterator, typename V>
      BOOST_CXX14_CONSTEXPR bool
      none_of_equal(InputIterator first, InputIterator last, const V & val);

## Description

| Note
returns true on an empty range

Parameters:

`first` | The start of the input sequence
`last` | One past the end of the input sequence
`val` | A value to compare against

Returns: | true if none of the elements in [first, last) are equal to 'val'